Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common.action.swing
Class MenuDragMouseAction

    java.lang.Object
      de.jsystems.framework.common.action.AbstractAction
          de.jsystems.framework.common.action.swing.MenuDragMouseAction

All Implemented Interfaces:
  EventListener, MenuDragMouseListener

public class MenuDragMouseAction
extends AbstractAction
implements MenuDragMouseListener

Actionimplementierung fuer MenuDragMouseEvent.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2004
Author:
  Jens Homm JSYSTEMS

Constructor Summary
`MenuDragMouseAction()`

Method Summary
`void` | `doMenuDragMouseDragged(MenuDragMouseEvent mdme)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `doMenuDragMouseEntered(MenuDragMouseEvent mdme)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `doMenuDragMouseExited(MenuDragMouseEvent mdme)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `doMenuDragMouseReleased(MenuDragMouseEvent mdme)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `menuDragMouseDragged(MenuDragMouseEvent mdme)`
`void` | `menuDragMouseEntered(MenuDragMouseEvent mdme)`
`void` | `menuDragMouseExited(MenuDragMouseEvent mdme)`
`void` | `menuDragMouseReleased(MenuDragMouseEvent mdme)`

Methods inherited from class de.jsystems.framework.common.action.AbstractAction
`addControl, disable, enable, exceptionInAction, getController, getControls, getException, getView, hasException, initialize, isEnabled, removeAll, removeControl, setException`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MenuDragMouseAction

    public MenuDragMouseAction()

Method Detail

### menuDragMouseEntered

    public void menuDragMouseEntered(MenuDragMouseEvent mdme)

  Specified by:
    `menuDragMouseEntered` in interface `MenuDragMouseListener`

### doMenuDragMouseEntered

    public void doMenuDragMouseEntered(MenuDragMouseEvent mdme)
                                throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `mdme` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

### menuDragMouseExited

    public void menuDragMouseExited(MenuDragMouseEvent mdme)

  Specified by:
    `menuDragMouseExited` in interface `MenuDragMouseListener`

### doMenuDragMouseExited

    public void doMenuDragMouseExited(MenuDragMouseEvent mdme)
                               throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `mdme` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

### menuDragMouseDragged

    public void menuDragMouseDragged(MenuDragMouseEvent mdme)

  Specified by:
    `menuDragMouseDragged` in interface `MenuDragMouseListener`

### doMenuDragMouseDragged

    public void doMenuDragMouseDragged(MenuDragMouseEvent mdme)
                                throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `mdme` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

### menuDragMouseReleased

    public void menuDragMouseReleased(MenuDragMouseEvent mdme)

  Specified by:
    `menuDragMouseReleased` in interface `MenuDragMouseListener`

### doMenuDragMouseReleased

    public void doMenuDragMouseReleased(MenuDragMouseEvent mdme)
                                 throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `mdme` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD